Package picard.util

# Class BedToIntervalList

java.lang.Object
picard.cmdline.CommandLineProgram
picard.util.BedToIntervalList

@DocumentedFeature public class BedToIntervalList extends CommandLineProgram

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`DROP_MISSING_CONTIGS`
`File`
`INPUT`
`File`
`OUTPUT`
`File`
`SEQUENCE_DICTIONARY`
`boolean`
`SORT`
`boolean`
`UNIQUE`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`BedToIntervalList()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="The input BED file") public File INPUT

### SEQUENCE_DICTIONARY

@Argument(shortName="SD", doc="The sequence dictionary, or BAM/VCF/IntervalList from which a dictionary can be extracted.") public File SEQUENCE_DICTIONARY

### OUTPUT

@Argument(shortName="O", doc="The output Picard Interval List") public File OUTPUT

### SORT

@Argument(doc="If true, sort the output interval list before writing it.") public boolean SORT

### UNIQUE

@Argument(doc="If true, unique the output interval list by merging overlapping regions, before writing it (implies sort=true).") public boolean UNIQUE

### DROP_MISSING_CONTIGS

@Hidden @Argument(doc="If true, entries that are on contig-names that are missing from the provided dictionary will be dropped.") public boolean DROP_MISSING_CONTIGS

## Constructor Details

### BedToIntervalList

public BedToIntervalList()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.